Figure - Bug #116845

0 O Test-ST #111337 (New): STO O 0 O

0 O Test-ST # 116840 (New): 0 0 0 0 0 0 -AF
OAFDOEVT3DODOOODOOOOODOOODOOcrash
2023-03-09 17:15- CD TEST-0 0 O

Status: CLOSED Start date: 2023-03-09

Priority: Normal Due date:

Assignee: CD Test O % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: 00000000000 List

Need_Info: - Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081}C101
Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-23

Test Type: ST Root cause: Androidd0000OD0ODOOOOOOIsonID,0OC
Description
2. adb root

3. adb shell

4, ssh 223.255.255.1

5. dbus-send --bus=tcp:host=223.255.255.1,port=55666 --type=signal / ipcl.out.to.droid.INSTRMT2VHAL_COMM
array:byte:18,1,0,0,7,230,0,11,0,12,0,6,0,7,0,1
History

#1-2023-03-0917:48 - CD TEST-0 O O
- Parent task changed from #111049 to #116840

#2 - 2023-03-1017:28-CDFW-O O O
- Status changed from New to ASSIGNED
-Rootcausesetto Android0 D D000 OO0O0O0OOOOonID OO OOOOOOOGMTOOOOODOOOODOOOODOOOODODOO

m Current conclusion

bugd O O

m My analysis

Android0 000000000 0OOCIsSonIDOO0OOOOOOOGMTOOODOOOODOOODOOOOOOOOO
000000000000 00oO0U0DoO00DO00D0O00DOOnDoOdlllegalArgumentExceptiond O

m Next action
#3 - 2023-03-13 21:02 - 0T scm

Gerrit Merge Information(

1D Project Branch Uploader
186941 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/MircoService -dev

AF:MicroService:When time zone is not Olson, Time sync crash1.Catch all exception when run common call back,Prevent server crashesTC-RID:
1201-0206101lssuelD: TS-R-BUG-116845Change-Id: Iff4aldde4a9078ffbc8felc5fee0752439af524¢

#4 - 2023-03-13 21:02 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
186944 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/VehicleControl -dev

AF:MicroService:When time zone is not Olson, Time sync crash1.Catch all exception when run common call back,Prevent MicroService and MicroSettings
crashes2.Catch lllegalArgumentException, when set time zoneTC-RID: 1201-0206101IssuelD: TS-R-BUG-116845Change-Id:
132e73d3bh431304fc63d1e3fdad7a3c11dd5h6a2

#5 - 2023-03-20 16:18 - CDFW-0 O O
- % Done changed from 0 to 50

m Current conclusion

bugDOO,00GMTOOolsonIDOO,000000O00,000000O

m My analysis

Android0 000000O0O0O0OOCkonIDOODOOODOODOOGMTOOCOCOOCODOOODOODODOODODODDODO
00000000oo0o0o0000oo00000000o00o0o000o0O0ooggHegalArgumentException O

m Nextaction
#6 - 2023-03-20 17:46 - 10T scm

Gerrit Merge Information]

1D Project Branch Uploader
188578 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tianying.cheng@thundersoft.com
m/apps/VehicleControl -dev

AF:MicroSettongs:When timezone type is GMT can't sync timezoneTC-RID: 1201-02061011ssuelD: TS-R-BUG-116845Change-Id:
1987817¢8fb05f800c2b41bd833c6d12b1310aala
#7 - 2023-03-23 15:05 - CDTS_TEST O
- Targetversionsetto 0 0 0 0 000 OO OO List

#8 - 2023-03-2321:08-CDFW-0O O O

- Status changed from ASSIGNED to RESOLVED
- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-23

= Current conclusion

bugD OO, 00GMTOOolsonIDOO,00000000,00000A0.

m My analysis

Android0 00000000 0OOOCSonIDOCOOO0OOOOOOGMTOOODOOOODOOODOOOOOOOOO
000000000000 00000D0O00D00O000000DO0000DOOdlegalArgumentException O

= Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/188634

#9 - 2023-03-2321:09-CDFW-0 OO
- Assignee changed from CD FW-O O O toCD TEST-O O O
- % Done changed from 50 to 100

#10 - 2023-03-2409:54 - CD TEST-O O O
- Assignee changed from CD TEST-0 O O to CD TestO O

#11 - 2023-03-27 10:48 - CD TestO O
- Status changed from RESOLVED to VERIFIED

0000 O FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102.202303260013
00000PASS

#12 - 2023-03-27 10:49 - CD Testd O
- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/188634

